OpenVZ Forum


Home » General » Support » prlctl deprecated on Openvz7
prlctl deprecated on Openvz7 [message #53794] Tue, 19 July 2022 22:55 Go to previous message
nathan.brownrice is currently offline  nathan.brownrice
Messages: 3
Registered: August 2020
Junior Member
As of last year sometime with the latest kernel updates we noticed that when running prlctl the following warning is presented:

WARNING: You are using a deprecated CLI component that won't be installed by default in the next major release. Please use virsh instead

We've played around with virsh, and it's definitely not a direct replacement for prlctl. We're also familiar with vzctl, but it's not a direct replacement for prlctl either. Things such as snapshots must be done via prlctl, so we generally stick to that command for everything, as I believe was intended for Openvz7.

This has recently become a problem for us, as many of our internal scripts that are built around prlctl are failing due to the the STDERR warning output.

We've come up with somewhat of a work-around, but it's kinda hacky, and every time we yum update the server it gets erased. Is OpenVZ going to address this, or is there any other option for us?

Thanks!,
 
Read Message
Read Message
Previous Topic: Just wanted to say: -"Thank you!" and the best for OpenVZ 8
Next Topic: Bug reports should go to bugs.openvz.org
Goto Forum:
  


Current Time: Mon Aug 15 01:31:06 GMT 2022

Total time taken to generate the page: 0.00710 seconds